tntdb::ConnectionPool Class Reference

## Public Types

typedef PoolType::Ptr | PoolObjectType

## Public Member Functions

| ConnectionPool (const std::string &url, unsigned maxcount=0)
Connection | connect ()
void | drop (unsigned keep=0)
| Releases unused connections. More...
unsigned | getMaximumSize ()
void | setMaximumSize (unsigned m)
unsigned | getCurrentSize () const

## Member Function Documentation

void tntdb::ConnectionPool::drop | ( | unsigned | keep = `0` | ) |

inline

Releases unused connections.

Keeps the given number of connections.

The documentation for this class was generated from the following file:

- tntdb/connectionpool.h